# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Element Bisectorlines

JXG.Composition
↳ Bisectorlines

Bisector lines are similar to Bisector but takes two lines as parent elements. The resulting element is a composition of two lines.
Defined in: Composition.js.
Extends JXG.Composition.

Element Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Bisectorlines

Field Summary
Field Attributes | Field Name and Description
--- | ---
| line1 First line.
| line2 Second line.

Element Detail
Bisectorlines

This element has no direct constructor. To create an instance of this element you have to call JXG.Board#create with type "bisectorlines".
Possible parent array combinations are:
{JXG.Line} l1
{JXG.Line} l2
  The four angles described by the lines `l1` and `l2` will each be divided into two equal angles.

Throws:
{Error}
  If the element cannot be constructed with the given parent objects an exception is thrown.

Examples:

    var p1 = board.create('point', [6.0, 4.0]);
    var p2 = board.create('point', [3.0, 2.0]);
    var p3 = board.create('point', [1.0, 7.0]);
    var p4 = board.create('point', [3.0, 0.0]);
    var l1 = board.create('line', [p1, p2]);
    var l2 = board.create('line', [p3, p4]);

    var bi1 = board.create('bisectorlines', [l1, l2]);

Field Detail
{Line} line1
First line.

{Line} line2
Second line.

Attributes borrowed from other Elements

Fields borrowed from other Elements

Methods borrowed from other Elements

Methods borrowed from class JXG.Composition:
  add, highlight, noHighlight, prepareUpdate, remove, setProperty, update, updateRenderer

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:53:59 GMT+0200 (MESZ)